From: "Austin English" <wizardedit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/openyahtzee/
Date: Tue, 26 Jul 2016 00:08:40 +0000 (UTC) [thread overview]
Message-ID: <1469491603.28de8a84a7cee0d27503e403d1dd3cd3e7129adb.wizardedit@gentoo> (raw)
commit: 28de8a84a7cee0d27503e403d1dd3cd3e7129adb
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 00:06:43 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 00:06:43 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28de8a84
games-board/openyahtzee: version bump to 1.9.3
Also:
* remove deprecated games eclass
* update to EAPI 6
* drop upstreamed patch
* add tc-is-gcc check, warn for other compilers
* add -std=c++11 to CXXFLAGS, needed by gcc-4.9 and clang
Gentoo-Bug: https://bugs.gentoo.org/588234
Gentoo-Bug: https://bugs.gentoo.org/574082
Package-Manager: portage-2.3.0
games-board/openyahtzee/Manifest | 1 +
games-board/openyahtzee/openyahtzee-1.9.3.ebuild | 40 ++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/games-board/openyahtzee/Manifest b/games-board/openyahtzee/Manifest
index c62fa8e..1f1b8de 100644
--- a/games-board/openyahtzee/Manifest
+++ b/games-board/openyahtzee/Manifest
@@ -1 +1,2 @@
DIST openyahtzee-1.9.2.tar.bz2 194053 SHA256 a56c2c16fc6ec3f4eba5a85afcf19467b364ec38f4374724673a0360fc3f83cd SHA512 012b7081eafafb28ada3d15f82d42b0a7fe5fe2e4c728dfbd1e3c688ef0e00bd22a55b1450e267c6e1d9d3cc2a8cf76dbec336c744a239df7dd46a473038b141 WHIRLPOOL 9013b7006fe4da86f69127c9a5a11544bd1022e31a4f0197d4fce58d75113b0246d5b76e1adf6a7e4d73ddd4beff0ce2a1a53a0e853366c59effbb3dfd406e80
+DIST openyahtzee-1.9.3.tar.xz 178868 SHA256 a6a02a5cd61d7094c6280b5b701de5a1b8769056cb2305fbd083970f0187762b SHA512 7e696141d8f567247300c7f4924889b0a2f88866c70a10ad7619709990cacb726ec0af28bcee62a9f0d607d7f83ca5bb62d7275b2cc6e0343004f9125e4fb506 WHIRLPOOL 36a399405d087c9631f0723550a3dec1247622dae80450d49079281d273244004173b448522295598c0020bb7e618ee446ba10e5ee28b1eb5441cd081220c868
diff --git a/games-board/openyahtzee/openyahtzee-1.9.3.ebuild b/games-board/openyahtzee/openyahtzee-1.9.3.ebuild
new file mode 100644
index 0000000..bb45a29
--- /dev/null
+++ b/games-board/openyahtzee/openyahtzee-1.9.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+WX_GTK_VER="3.0"
+inherit eutils wxwidgets toolchain-funcs versionator
+
+DESCRIPTION="A full-featured wxWidgets version of the classic dice game Yahtzee"
+HOMEPAGE="http://openyahtzee.sourceforge.net/"
+SRC_URI="mirror://sourceforge/openyahtzee/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/wxGTK:${WX_GTK_VER}[X]"
+DEPEND="${RDEPEND}
+ >=sys-devel/gcc-4.6
+ dev-libs/boost"
+
+pkg_pretend() {
+ local ver=4.6
+ local msg="You need at least GCC ${ver}.x for C++11 range-based 'for' and nullptr support."
+
+ if tc-is-gcc ; then
+ if ! version_is_at_least ${ver} $(gcc-version); then
+ die ${msg}
+ fi
+ else
+ ewarn "Ensure your compiler has C++11 support, otherwise build will fail."
+ fi
+}
+
+src_configure() {
+ append-cxxflags -std=c++11
+ need-wxwidgets unicode
+ econf --datadir=/usr/share
+}
next reply other threads:[~2016-07-26 0:08 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-07-26 0:08 Austin English [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-16 9:37 [gentoo-commits] repo/gentoo:master commit in: games-board/openyahtzee/ Pacho Ramos
2023-11-24 12:59 Pacho Ramos
2021-04-04 12:38 Sam James
2021-04-04 7:22 Sam James
2020-10-31 11:11 David Seifert
2015-12-29 7:41 Michael Sterrett
2015-12-09 10:47 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1469491603.28de8a84a7cee0d27503e403d1dd3cd3e7129adb.wizardedit@gentoo \
--to=wizardedit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox